CopyHero

Keyword Trends Graph

GET
/api/v1/product-research/trends

Google Trends interest-over-time (last 3 months) via DataForSEO.

Authorization

HTTPBearer
headerAuthorizationBearer <token>

Query Parameters

keyword*Keyword

Search keyword.

Length1 <= length
country_code?|

ISO-3166 alpha-2 country (case-insensitive); omit for worldwide.

Response Body

Successful Response

application/json
  1. response

GET /product-research/trends — interest-over-time for one keyword.

keyword*Keyword
time_range*Time Range
country_code?string|null
localized_keyword?string|null
average?integer|null
points?array<>
related_queries?array<string>
related_topics?array<string>
Example Request
curl -X GET 'https://app.copyhero.app/api/v1/product-research/trends?keyword=string'
Example Response
{  "keyword": "string",  "time_range": "string",  "country_code": "string",  "localized_keyword": "string",  "average": 0,  "points": [    {      "date_from": "string",      "date_to": "string",      "timestamp": 0,      "value": 0,      "missing_data": false    }  ],  "related_queries": [    "string"  ],  "related_topics": [    "string"  ]}